import bb.cascades 1.0

Page {
    Container {
        layout: DockLayout {
        }
        ImageView {
            imageSource: "asset:///images/1.png"
            scalingMethod: ScalingMethod.AspectFill
        }
        Container {
        		id: mainContainer
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            layout: DockLayout {
                
            }
            Container {
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    topPadding: 20
                    leftPadding: 20
                    ImageView {
                        imageSource: "asset:///images/PhotoX_114.png"
                        horizontalAlignment: HorizontalAlignment.Center
                        verticalAlignment: VerticalAlignment.Center
                    }
                    Container {
                        leftPadding: 20
                        Label {
                            id: appNameLabel
                            text: _app.getAppName()
                            textStyle {
                                fontSize: FontSize.PointValue
                                fontSizeValue: 12
                                color: Color.create("#FAFAFA")
                            }
                            //horizontalAlignment: HorizontalAlignment.Center
                        }
                        Label {
                            id: appVersionLabel
                            text: "ver. " + _app.getAppVersion()
                            textStyle {
                                fontSizeValue: 10
                                color: Color.create("#999999")
                            }
                            //horizontalAlignment: HorizontalAlignment.Center
                        }
                    }
                }
                Divider {
                    bottomMargin: 30
                }
                Container {
                    verticalAlignment: VerticalAlignment.Center
                    leftPadding: 20
                    rightPadding: 20
                    Label {
                        multiline: true
                        text: "It's not just another boring photo editor. It's amazing..."
                        textStyle {
                            fontSize: FontSize.XSmall
                            fontStyle: FontStyle.Italic
                        }
                    }
                }
            }
            
            
            Container {
                horizontalAlignment: HorizontalAlignment.Right
                verticalAlignment: VerticalAlignment.Bottom
                rightPadding: 25
                bottomPadding: 25
                ImageView {
                    imageSource: "asset:///images/VHS_logo_text_480.png"
                    horizontalAlignment: HorizontalAlignment.Right
                }

                Label {
                    id: emailLabel
                    text: "<html><a href=\"mailto:support@viethop.com\">support@viethop.com</a></html>"
                    textFormat: TextFormat.Html
                    textStyle {
                        fontSizeValue: 8
                        color: Color.create("#999999")
                    }
                    horizontalAlignment: HorizontalAlignment.Right
                }
                Label {
                    id: websiteURLLabel
                    text: "<html><a href=\"http://www.viethop.com\">www.viethop.com</a></html>"
                    textFormat: TextFormat.Html
                    textStyle {
                        fontSizeValue: 8
                        color: Color.create("#999999")
                    }
                    horizontalAlignment: HorizontalAlignment.Right
                }
            }
            animations: [
                FadeTransition {
                    id: fadeThis
                    fromOpacity: 0
                    toOpacity: 1
                    duration: 1000
                }
            ]
        }
    }
    
    actions: [
        InvokeActionItem {
            ActionBar.placement: ActionBarPlacement.OnBar
            query {
                mimeType: "text/plain"
                invokeActionId: "bb.action.SHARE"
            }
            data: "Get " + _app.getAppName() + " from BlackBerry World | http://goo.gl/rgICf"
        },
        InvokeActionItem {
            title: "More Apps"
            ActionBar.placement: ActionBarPlacement.OnBar
            query.uri: "appworld://vendor/14299" + ""
            query.invokeActionId: "bb.action.OPEN"
            query.invokeTargetId: "sys.appworld"
        }
    ]
    function animateThis(){
        fadeThis.play();
    }
}
