import bb.cascades 1.0

Page {
    signal sharedToFB(string statusText, bool squareIt)
    property int charLeft: 364
    property string curImageURL
    property alias postAsSquarePhoto: squareCheck.checked
    Container {
        layout: DockLayout {
        }
        background: Color.create("#272727")
        Container {
            leftPadding: 10
            rightPadding: 10
            Container {
                //topPadding: 10
                //bottomPadding: 10
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }
                ImageView {
                    imageSource: "asset:///images/icons/fb.png"
                    verticalAlignment: VerticalAlignment.Center
                }
                Label {
                    text: "Share Photo to Facebook"
                    textStyle {
                        //base: SystemDefaults.TextStyles.TitleText
                        color: Color.create("#FAFAFA")
                    }
                    verticalAlignment: VerticalAlignment.Center
                }
                horizontalAlignment: HorizontalAlignment.Left
                verticalAlignment: VerticalAlignment.Center
            }
            Container {
                horizontalAlignment: HorizontalAlignment.Fill
                background: Color.create("#474747")
                ImageView {
                    objectName: "uploadingFBImageView"
                    preferredHeight: 250
                    imageSource: curImageURL
                    scalingMethod: ScalingMethod.AspectFill
                    horizontalAlignment: HorizontalAlignment.Center
                }
            }
            TextArea {
                id: fbStatus
                hintText: "What's on your mind?"
                preferredHeight: 250
                minHeight: 250
                verticalAlignment: VerticalAlignment.Top
                onTextChanging: {
                    charLeft = 364 - fbStatus.text.length;
                    if (charLeft == 0) {
                        fbStatus.enabled = false;
                    } else {
                        fbStatus.enabled = true;
                    }
                }
            }
            
            Container {
                verticalAlignment: VerticalAlignment.Center
                horizontalAlignment: HorizontalAlignment.Fill
                Container {
                    horizontalAlignment: HorizontalAlignment.Fill
                    
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    Button {
                        text: "Logout"
                        horizontalAlignment: HorizontalAlignment.Center
                        layoutProperties: StackLayoutProperties {
                            spaceQuota: 1
                        }
                        onClicked: {
                            fbSheet.close();
                            _app.logoutFacebook();
                        }
                    }
                    Button {
                        horizontalAlignment: HorizontalAlignment.Center
                        layoutProperties: StackLayoutProperties {
                            spaceQuota: 1
                        }
                        text: "Cancel"
                        onClicked: {
                            fbSheet.close();
                        }
                    }
                    Button {
                        horizontalAlignment: HorizontalAlignment.Center
                        layoutProperties: StackLayoutProperties {
                            spaceQuota: 2
                        }
                        text: "Share"
                        onClicked: {
                            sharedToFB(fbStatus.text + " --via Photo X Pro | http://goo.gl/eEb96", postAsSquarePhoto);
                            fbSheet.close();
                        }
                    }
                    Label {
                        verticalAlignment: VerticalAlignment.Center
                        text: charLeft + ""
                        textStyle {
                            fontStyle: FontStyle.Italic
                            color: Color.White
                        }
                    }
                }
                Container {
                    topPadding: 50
                    rightPadding: 10
                    horizontalAlignment: HorizontalAlignment.Right
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    visible: false
                    Label {
                        text: "Post as squared photo"
                        textStyle {
                            color: Color.create("#FAFAFA")
                            fontSize: FontSize.PointValue
                            fontSizeValue: 10
                        }
                    }
                    CheckBox {
                        id: squareCheck
                        verticalAlignment: VerticalAlignment.Center
                    }
                }
            }
        }
    }
    function requestFocusOnTextArea() {
        fbStatus.requestFocus();
    }
}
