import bb.cascades 1.0

Page {
    Container {
        topPadding: 20
        Label {
            text: "Choose Skin"
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            textStyle {
                color: Color.create("#CC3F10")
                fontSize: FontSize.Large
                fontStyle: FontStyle.Italic
            }
        }
        ScrollView {
            preferredWidth: 720
            scrollViewProperties.scrollMode: ScrollMode.Horizontal
            
            Container {
                layout: DockLayout {
                
                }
                topPadding: 20
                leftPadding: 20
                rightPadding: 20
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    ImageButton {
                        defaultImageSource: "asset:///images/skins/StyleA.jpg"
                        preferredWidth: 480
                        preferredHeight: 480
                        onClicked: {
                            applySkin(0);
                        }
                    }
                    ImageButton {
                        defaultImageSource: "asset:///images/skins/StyleB.jpg"
                        preferredWidth: 480
                        preferredHeight: 480
                        onClicked: {
                            applySkin(1);
                        }
                    }
                    ImageButton {
                        defaultImageSource: "asset:///images/skins/StyleC.jpg"
                        preferredWidth: 480
                        preferredHeight: 480
                        onClicked: {
                            applySkin(2);
                        }
                    }
                    ImageButton {
                        defaultImageSource: "asset:///images/skins/StyleD.jpg"
                        preferredWidth: 480
                        preferredHeight: 480
                        onClicked: {
                            applySkin(3);
                        }
                    }
                    ImageButton {
                        defaultImageSource: "asset:///images/skins/StyleE.jpg"
                        preferredWidth: 480
                        preferredHeight: 480
                        onClicked: {
                            applySkin(4);
                        }
                    }
                }
            }
        }
    }
    actions: [
        ActionItem {
            title: "Cancel"
            imageSource: "asset:///images/icons/ic_cancel.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            onTriggered: {
                skinSheet.isCancelled = true;
                skinSheet.close();
            }
        }
    ]
    function applySkin(skin){
        _app.setInstaXStyle(skin);
        skinSheet.close();
    }
}