import bb.cascades 1.0

Page {
    titleBar: TitleBar {
        title: "About"
    }
    Container {
        layout: DockLayout {
        }
        ImageView {
            imageSource: "asset:///images/1.png"
            scalingMethod: ScalingMethod.AspectFill
        }
        Container {
        		id: mainContainer
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Top
            topPadding: 120
            
            Label {
                id: appNameLabel
                //topMargin: 80
                text: _app.getAppName()
                textStyle {
                    fontSize: FontSize.PointValue
                    fontSizeValue: 12
                    color: Color.create("#FAFAFA")
                }
                horizontalAlignment: HorizontalAlignment.Center
            }
            Label {
                id: appVersionLabel
                text: "ver. " + _app.getAppVersion()
                textStyle {
                    fontSizeValue: 10
                    color: Color.create("#999999")
                }
                horizontalAlignment: HorizontalAlignment.Center
                bottomMargin: 120
            }

            ImageView {
                imageSource: "asset:///images/VHS_logo_text_480.png"
                horizontalAlignment: HorizontalAlignment.Center
            }
            
            Label {
                id: emailLabel
                text: "<html><a href=\"mailto:support@viethop.com\">support@viethop.com</a></html>"
                textFormat: TextFormat.Html
                textStyle {
                    fontSizeValue: 8
                    color: Color.create("#999999")
                }
                horizontalAlignment: HorizontalAlignment.Center
            }
            Label {
                id: websiteURLLabel
                text: "<html><a href=\"http://www.viethop.com\">www.viethop.com</a></html>"
                textFormat: TextFormat.Html
                textStyle {
                    fontSizeValue: 8
                    color: Color.create("#999999")
                }
                horizontalAlignment: HorizontalAlignment.Center
            }
            
            animations: [
                FadeTransition {
                    id: fadeThis
                    fromOpacity: 0
                    toOpacity: 1
                    duration: 1000
                }
            ]
        }
        ImageView {
            translationX: 60
            translationY: -240
            imageSource: "asset:///images/share_app.png"
            animations: [
                TranslateTransition {
                    id: animateShareText
                    fromY: -240
                    toY: 780
                    duration: 1000
                    easingCurve: StockCurve.BounceOut
                }
            ]
        }
    }
    
    actions: [
        InvokeActionItem {
            title: "Share Photo X Pro"
            ActionBar.placement: ActionBarPlacement.OnBar
            query {
                mimeType: "text/plain"
                invokeActionId: "bb.action.SHARE"
            }
            data: "Get Photo X Pro from BlackBerry World | http://goo.gl/adjFo"
        },
        InvokeActionItem {
            title: "More Apps"
            ActionBar.placement: ActionBarPlacement.OnBar
            query.uri: "appworld://vendor/14299" + ""
            query.invokeActionId: "bb.action.OPEN"
            query.invokeTargetId: "sys.appworld"
        }
    ]
    function animateThis(){
        fadeThis.play();
        animateShareText.play();
    }
}
