import bb.cascades 1.0

Page {
    property bool showLoading: false
    titleBar: TitleBar {
        title: "Facebook Authentication"
    }
    Container {
        layout: DockLayout {
        }
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        ScrollView {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            WebView {
                id: myWebView
                objectName: "myWebView"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                onLoadingChanged: {
                    if (loadRequest.status == WebLoadStatus.Started) {
                    } else if (loadRequest.status == WebLoadStatus.Succeeded) {
                        _app.onLoginFBResponse();
                    } else if (loadRequest.status == WebLoadStatus.Failed) {
                        showLoading = false;
                        _app.logToConsole("Failed to load Facebook Auth URL");
                    }
                }
                onLoadProgressChanged: {
                    _app.logToConsole(loadProgress);
                    if (loadProgress == 100) {
                        showLoading = false;
                    } else {
                        showLoading = true;
                    }
                }
            }
        }
        
        // Doesn't work
        
        ActivityIndicator {
            id: authBusy
            visible: showLoading
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            onVisibleChanged: {
                if (authBusy.visible) {
                    authBusy.start();
                } else {
                    authBusy.stop();
                }
            }
        }
    }
    actions: [
        ActionItem {
            imageSource: "asset:///images/icons/ic_cancel.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            title: "Cancel"
            onTriggered: {
                fbAuthSheet.close();
            }
        }
    ]
}
