import bb.cascades 1.0

Page {
    signal sharedToFB(string statusText, bool squareIt)
    property int charLeft: 364
    property string curImageURL
    property alias postAsSquarePhoto: squareCheck.checked
    /*
     * titleBar: TitleBar {
     * title: "Share to Facebook"
     * }
     */
    Container {
        layout: DockLayout {
        }
        background: Color.create("#272727")
        /*
         * ImageView {
         * horizontalAlignment: HorizontalAlignment.Fill
         * verticalAlignment: VerticalAlignment.Fill
         * imageSource: "asset:///images/FBBG.png"
         * }
         */
        Container {
            leftPadding: 10
            rightPadding: 10
            Container {
                topPadding: 30
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }
                ImageView {
                    imageSource: "asset:///images/icons/fb.png"
                    verticalAlignment: VerticalAlignment.Center
                }
                Label {
                    text: "Share Photo to Facebook"
                    textStyle {
                        base: SystemDefaults.TextStyles.TitleText
                        color: Color.create("#FAFAFA")
                    }
                    verticalAlignment: VerticalAlignment.Center
                }
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
            }
            Divider {
            }
            TextArea {
                id: fbStatus
                hintText: "What's on your mind?"
                preferredHeight: 300
                minHeight: 300
                verticalAlignment: VerticalAlignment.Top
                onTextChanging: {
                    charLeft = 364 - fbStatus.text.length;
                    if (charLeft == 0) {
                        fbStatus.enabled = false;
                    } else {
                        fbStatus.enabled = true;
                    }
                }
            }
            Container {
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }
                horizontalAlignment: HorizontalAlignment.Right
                Label {
                    verticalAlignment: VerticalAlignment.Center
                    text: charLeft + ""
                    textStyle {
                        fontStyle: FontStyle.Italic
                        color: Color.White
                    }
                }
                Button {
                    horizontalAlignment: HorizontalAlignment.Center
                    text: "Share"
                    preferredWidth: 200
                    onClicked: {
                        sharedToFB(fbStatus.text + " --via Photo X Pro | http://goo.gl/eEb96", postAsSquarePhoto);
                        //sharedToFB(fbStatus.text + " --via Photo X Pro | http://goo.gl/mDBSA", postAsSquarePhoto);
                        fbSheet.close();
                        /*
                         * if(fbStatus.text != ""){
                         * sharedToFB(fbStatus.text + " via Photo X - http://goo.gl/mDBSA");
                         * _app.uploadPictureToFB(imageSourceURL, fbStatus.text);
                         * }else{
                         * sharedToFB();
                         * _app.uploadPictureToFB(imageSourceURL, " via Photo X - http://goo.gl/mDBSA");
                         * }
                         */
                    }
                }
            }
            Container {
                bottomMargin: 20
                topMargin: 20
                leftPadding: 10
                rightPadding: 10
                horizontalAlignment: HorizontalAlignment.Fill
                background: Color.create("#474747")
                ImageView {
                    objectName: "uploadingFBImageView"
                    preferredHeight: 250
                    imageSource: curImageURL
                    scalingMethod: ScalingMethod.AspectFill
                    horizontalAlignment: HorizontalAlignment.Center
                }
            }
            Container {
                verticalAlignment: VerticalAlignment.Center
                horizontalAlignment: HorizontalAlignment.Fill
                Container {
                    horizontalAlignment: HorizontalAlignment.Fill
                    leftPadding: 5
                    rightPadding: 5
                    //background: Color.Black
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    Button {
                        text: "Logout"
                        horizontalAlignment: HorizontalAlignment.Center
                        layoutProperties: StackLayoutProperties {
                            spaceQuota: 1
                        }
                        onClicked: {
                            fbSheet.close();
                            _app.logoutFacebook();
                        }
                    }
                    Button {
                        horizontalAlignment: HorizontalAlignment.Center
                        layoutProperties: StackLayoutProperties {
                            spaceQuota: 1
                        }
                        text: "Cancel"
                        onClicked: {
                            fbSheet.close();
                        }
                    }
                }
                Container {
                    topPadding: 50
                    rightPadding: 10
                    //preferredWidth: 600
                    horizontalAlignment: HorizontalAlignment.Right
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    Label {
                        text: "Post as squared photo"
                        textStyle {
                            color: Color.create("#FAFAFA")
                            fontSize: FontSize.PointValue
                            fontSizeValue: 10
                        }
                    }
                    CheckBox {
                        id: squareCheck
                        verticalAlignment: VerticalAlignment.Center
                        //checked: true
                    }
                }
            }
        }

        /*
         * Container {
         * bottomPadding: 30
         * horizontalAlignment: HorizontalAlignment.Center
         * verticalAlignment: VerticalAlignment.Bottom
         * ImageView {
         * horizontalAlignment: HorizontalAlignment.Center
         * imageSource: "asset:///images/Facebooklogo.png"
         * }
         * }
         */
    }
    function requestFocusOnTextArea(){
        fbStatus.requestFocus();
    }
}
