import bb.cascades 1.0

Container {
    signal resizeImage(int resizeOption, int resizeTo)
    translationY: -1280
    background: Color.create("#171717")
    layout: DockLayout {
    }
    //topPadding: 10
    //leftPadding: 10
    //rightPadding: 10
    bottomPadding: 10
    ImageView {
        imageSource: "asset:///images/1.png"
    }
    Container {
        id: resizePanel
        property string prefix: "Width"
        //background: Color.create("#AFAFAF")
        layout: StackLayout {
        }
        topPadding: 10
        leftPadding: 20
        rightPadding: 20
        bottomPadding: 10
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        Label {
            text: "Resize Image | " + imageScreenPage.curWidth + "x" + imageScreenPage.curHeight
            textStyle {
                base: SystemDefaults.TextStyles.TitleText
                color: Color.create("#FAFAFA")
            }
            horizontalAlignment: HorizontalAlignment.Center
        }
        Divider {
        }
        Label {
            text: "Resize Options*: "
            textStyle {
                base: SystemDefaults.TextStyles.TitleText
                color: Color.create("#FAFAFA")
            }
        }
        RadioGroup {
            id: resizeOption
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center
            selectedIndex: 0
            Option {
                id: resizeToWidth
                text: "According to Width"
                selected: true
                
                onSelectedChanged: {
                    if (selected == true) {
                        resizePanel.prefix = "width";
                    }
                }
            }
            Option {
                id: resizeToHeight
                text: "According to Height"
                
                onSelectedChanged: {
                    if (selected == true) {
                        resizePanel.prefix = "height";
                    }
                }
            }
        }
        Divider {
        }
        Container {
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            Label {
                text: "Resize to (in pixel):"
                textStyle {
                    base: SystemDefaults.TextStyles.TitleText
                    color: Color.create("#FAFAFA")
                }
                layoutProperties: StackLayoutProperties {
                    spaceQuota: 2
                }
                verticalAlignment: VerticalAlignment.Center
            }
            TextField {
                id: resizeToValue
                hintText: "0"
                inputMode: TextFieldInputMode.NumbersAndPunctuation
                clearButtonVisible: true
                layoutProperties: StackLayoutProperties {
                    spaceQuota: 1
                }
                verticalAlignment: VerticalAlignment.Center
            }
        }
        Label {
        }
        Container {
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            Button {
                text: "Resize"
                onClicked: {
                    
                    var resizeValue = parseInt(resizeToValue.text);
                    if(resizeValue > 0){
                        hideResizePanel.play();
                        resizeImage(resizeOption.selectedIndex, resizeValue);
                    }else{
                        _app.alertInfo("Alert", "Please input correct resize value.");
                    }                    
                }
            }
            Button {
                text: "Cancel"
                onClicked: {
                    hideResizePanel.play();
                }
            }
        }
        Label {
        }
        Label {
            text: "*The resized image will keep aspect ratio"
            textStyle {
                fontSizeValue: 6
                fontStyle: FontStyle.Italic
                color: Color.create("#FAFAFA")
            }
        }
    }
    animations: [
        TranslateTransition {
            id: showResizePanel
            toY: 0
            duration: 900
            easingCurve: StockCurve.CubicOut
        },
        TranslateTransition {
            id: hideResizePanel
            toY: -1280
            duration: 800
            easingCurve: StockCurve.CubicOut
            onEnded: {
            }
        }
    ]
    function show() {
        showResizePanel.play();
    }
}
