import bb.cascades 1.0

Page {
    property alias pdfSizeA4: pdfSizeA4.checked
    property alias optimizedImage: optimizedImage.checked
    property alias defaultFolder: defaultFolderLabel.text
    
    titleBar: TitleBar {
        title: "Settings"
    }
    Container {
        layout: DockLayout {
            
        }
        ImageView {
            imageSource: "asset:///images/1.png"
            scalingMethod: ScalingMethod.AspectFill
        }
        ScrollView {
            Container {
                horizontalAlignment: HorizontalAlignment.Fill
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                    rightPadding: 20
                    topPadding: 25
                    bottomPadding: 25
                    Container {
                        leftPadding: 20
                        rightPadding: 20
                        layout: StackLayout {
                        
                        }
                        layoutProperties: StackLayoutProperties {
                            spaceQuota: 1
                        }
                        horizontalAlignment: HorizontalAlignment.Right
                        Label {
                            text: "Default folder:"
                            horizontalAlignment: HorizontalAlignment.Right
                        }
                        Label {
                            id: defaultFolderLabel
                            text: "/accounts/1000/shared"
                            horizontalAlignment: HorizontalAlignment.Right
                            textStyle {
                                fontSize: FontSize.PointValue
                                fontSizeValue: 6
                                fontStyle: FontStyle.Italic
                            }
                        }
                    }
                    Button {
                        text: "Change"
                        preferredWidth: 100
                        onClicked: {
                            folderPicker.open();
                        }
                    }
                }
                
                Divider {
                
                }
                Container {
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Center
                    topPadding: 20
                    bottomPadding: 20
                    leftPadding: 20
                    rightPadding: 20
                    //bottomPadding: 20
                    layout: StackLayout {
                        orientation: LayoutOrientation.RightToLeft
                    }
                    //background: Color.Blue
                    ToggleButton {
                        id: pdfSizeA4
                        verticalAlignment: VerticalAlignment.Center
                        onCheckedChanged: {
                            _app.saveSetting("PDF_SIZE_A4", checked);
                        }
                    }
                    Label {
                        text: "Export PDF Full A4 Size"
                        verticalAlignment: VerticalAlignment.Center
                    }
                }
                Divider {
                }
                Container {
                    horizontalAlignment: HorizontalAlignment.Fill
                    topPadding: 20
                    leftPadding: 20
                    rightPadding: 20
                    bottomPadding: 20
                    layout: StackLayout {
                        orientation: LayoutOrientation.RightToLeft
                    }
                    verticalAlignment: VerticalAlignment.Center
                    ToggleButton {
                        id: optimizedImage
                        checked: true
                        verticalAlignment: VerticalAlignment.Center
                        onCheckedChanged: {
                            _app.optimizeImage(checked);
                        }
                    }
                    Label {
                        text: "Optimized Photo"
                        verticalAlignment: VerticalAlignment.Center
                    }
                }
                Divider {
                }
            }
        }
        
        onTouch: {
            handleSwipeToChange(event);
        }
    }
    

    actions: [
        ActionItem {
            title: "Done"
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/icons/ic_done.png"
            onTriggered: {
                settingsPageSheet.close();
            }
        }
    ]
    // Swipe to Close
    property int startY: 0
    function handleSwipeToChange(event) {
        // Checking for a press, then set the state variables we need.
        if (event.isDown()) {
            startY = event.windowY;
        } else if (event.isMove()) {
            var movingDistance = event.windowY - startY;
            if (movingDistance > 300) {
                settingsPageSheet.close();
            }
        } else if (event.isUp()) {
        }
    }
}
