/* Copyright (c) 2012 Research In Motion Limited.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import bb.cascades 1.0

Container {
    layout: DockLayout {
    }
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    background: Color.create("#121212")
    Container {
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center
        ImageView {
            imageSource: "asset:///images/BBM_logo_480.png"
            horizontalAlignment: HorizontalAlignment.Center
        }
        TextArea {
            id: statusText
            objectName: "statusText"
            
            text: "Please wait while the application registers with BBM SP..."
            editable: false
            textStyle.color: Color.create("#FAFAFA")
            textStyle.fontSizeValue: 9
            textStyle.textAlign: TextAlign.Center
        }
        Button {
            id: continueButton
            objectName: "continueButton"
            visible: false
            text: "Continue"
            layoutProperties: StackLayoutProperties {
            }
            horizontalAlignment: HorizontalAlignment.Center
            onClicked: {
                nextLabel.visible = true;
            }
        }
        TextArea {
            id: nextLabel
            text: "Now you would display your application's main screen."
            visible: false
            backgroundVisible: false
            textStyle {
                color: Color.Black
                fontWeight: FontWeight.Bold
            }
        }
    }
}
